%define anolis_release 7

Name:           anolis-setup
Version:        23
Release:        %{anolis_release}%{?dist}
Summary:        sysctl conf for Anolis OS

Group:          System Environment/Base
License:        MulanPSL
URL:            https://www.aliyun.com/
BuildArch:      noarch

Requires:       systemd
Requires:       dracut
Requires:       kernel

%description
This package used to setup os conf for Alibaba Cloud Linux

%prep
echo OK

%build
echo OK

%install
echo OK

%clean
rm -rf $RPM_BUILD_ROOT

%files

%post
FIND_FILE="/etc/default/grub"
FIND_KEY="GRUB_CMDLINE_LINUX"

if grep "crashkernel" $FIND_FILE; then
	echo "crashkernel is done";
else
	grep "$FIND_KEY" $FIND_FILE && sed -i 's/GRUB_CMDLINE_LINUX="/GRUB_CMDLINE_LINUX="crashkernel=0M-2G:0M,2G-8G:192M,8G-128G:256M,128G-:384M /g' $FIND_FILE;

        /usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg
fi


%changelog
* Mon Jun 26 2023 happy_orange <songnannan@linux.alibaba.com> - 23-7
- change the scripts location. 

* Sun Jun 25 2023 happy_orange <songnannan@linux.alibaba.com> - 23-6
- fix the error of spelling

* Sun Jun 25 2023 happy_orange <songnannan@linux.alibaba.com> - 23-5
- add the condition for judging whether the crashkernel exists

* Mon Jun 19 2023 happy_orange <songnannan@linux.alibaba.com> - 23-4
- add grub2-mkconfig in anolis-setup

* Mon Jun 19 2023 happy_orange <songnannan@linux.alibaba.com> - 23-3
- change the crashkernel value

* Sun Jun 18 2023 happy_orange <songnannan@linux.alibaba.com> - 23-2
- fix the server error

* Sun Jun 18 2023 happy_orange <songnannan@linux.alibaba.com> - 23-1
- init package
